[flake8]
max-line-length = 88
extend-ignore = W503,E501,DAR101,T101,RST301,RST206,RST203,RST201,DAR401,DAR202,DAR201,DAR003,DAR002
per-file-ignores =
    src/ska_oso_scripting/__init__.py:F401
    src/ska_oso_scripting/functions/pdm_transforms/__init__.py:F401
    src/ska_oso_scripting/functions/pdm_transforms/sdp.py:F401
    tests/integration/resources/test_harness/__init__.py:F401

    # Relax pylint in the face of some pypubsub requirements. Pypubsub topics use
    # msg_src rather than self, and they define a topic hierarchy rather than a
    # class hierarchy where implementation is required.
    src/ska_oso_scripting/event/user_topics.py:N801,N802,N805
    src/ska_oso_scripting/event/lifecycle_topics.py:N801,N802,N805
